function txtadobe(encodedNewText) {
    const newText = decodeURIComponent(encodedNewText);
    
    // Check if a document is open
    if (app.documents.length > 0) {
        var doc = app.activeDocument;
        
        // Create a text frame
        var textFrame = doc.textFrames.add();
        textFrame.contents = newText;
        
        // Get the document dimensions
        var docWidth = doc.width;
        var docHeight = doc.height;
        
        // Generate random x and y coordinates
        var randomX = Math.random() * docWidth;
        var randomY = Math.random() * docHeight;
        
        // Set the text frame's position to the randomly generated coordinates
        textFrame.position = [randomX, randomY];
        textFrame.textRange.characterAttributes.size = 12; // Set the font size to 12
    } else {
        alert("Please open a document.");
    }
}
